org.apache.pdfbox.pdmodel.fdf

## Class FDFAnnotationInk

- java.lang.Object
- - org.apache.pdfbox.pdmodel.fdf.FDFAnnotation
  - - org.apache.pdfbox.pdmodel.fdf.FDFAnnotationInk

All Implemented Interfaces:
  COSObjectable

    public class FDFAnnotationInk
    extends FDFAnnotation

This represents a Ink FDF annotation.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `SUBTYPE` COS Model value for SubType entry.

### Fields inherited from class org.apache.pdfbox.pdmodel.fdf.FDFAnnotation

`annot`

### Constructor Summary

Constructors
Constructor and Description
`FDFAnnotationInk()` Default constructor.
`FDFAnnotationInk(COSDictionary a)` Constructor.
`FDFAnnotationInk(Element element)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<float[]>` `getInkList()` Get the paths making up the freehand "scribble".
`void` `setInkList(List<float[]> inklist)` Set the paths making up the freehand "scribble".

### Methods inherited from class org.apache.pdfbox.pdmodel.fdf.FDFAnnotation

`create, getBorderEffect, getBorderStyle, getColor, getContents, getCOSObject, getCreationDate, getDate, getIntent, getName, getOpacity, getPage, getRectangle, getRichContents, getStringOrStream, getSubject, getTitle, isHidden, isInvisible, isLocked, isLockedContents, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setBorderEffect, setBorderStyle, setColor, setContents, setCreationDate, setDate, setHidden, setIntent, setInvisible, setLocked, setLockedContents, setName, setNoRotate, setNoView, setNoZoom, setOpacity, setPage, setPrinted, setReadOnly, setRectangle, setRichContents, setSubject, setTitle, setToggleNoView`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUBTYPE

    public static final String SUBTYPE

COS Model value for SubType entry.

See Also:
  Constant Field Values

### Constructor Detail

#### FDFAnnotationInk

    public FDFAnnotationInk()

Default constructor.

#### FDFAnnotationInk

    public FDFAnnotationInk(COSDictionary a)

Constructor.

Parameters:
  `a` - An existing FDF Annotation.

#### FDFAnnotationInk

    public FDFAnnotationInk(Element element)
                     throws IOException

Constructor.

Parameters:
  `element` - An XFDF element.
Throws:
  `IOException` - If there is an error extracting information from the element.

### Method Detail

#### setInkList

    public final void setInkList(List<float[]> inklist)

Set the paths making up the freehand "scribble". The ink annotation is made up of one ore more disjoint paths. Each array entry is an array representing a stroked path, being a series of alternating horizontal and vertical coordinates in default user space.

Parameters:
  `inklist` - the List of arrays representing the paths.

#### getInkList

    public List<float[]> getInkList()

Get the paths making up the freehand "scribble".

Returns:
  the List of arrays representing the paths.
See Also:
  `setInkList(List)`